#!/usr/bin/env python
# -*- coding: UTF8 -*-

# Jordi Ivars Oller
# 2005
# Licensed under GPL <http://www.gnu.org>
#
# Copyright (c) 2005, Jordi Ivars Oller <ear@oronetes.net>                    
#                                                                                    
# This program is free software; you can redistribute it and/or               
# modify it under the terms of the GNU General Public License                 
# as published by the Free Software Foundation; either version 2              
# of the License, or (at your option) any later version.                      
#                                                                                     
# This program is distributed in the hope that it will be useful,             
# but WITHOUT ANY WARRANTY; without even the implied warranty of              
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               
# GNU General Public License for more details.                                
#                                                                                     
# You should have received a copy of the GNU General Public License           
# along with this program; if not, write to the Free Software                 
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 
#####################################################################

import os,sys
from os.path import exists

def install():

	if not exists ("/usr/share/gnome-sshman"):

		os.system("mkdir /usr/share/gnome-sshman")

	os.system("cp libs/*.glade /usr/share/gnome-sshman")
	os.system("cp libs/*.py /usr/share/gnome-sshman")
	os.system("cp pixmaps/*png /usr/share/gnome-sshman")
	os.system("cp bin/gnome-sshman /usr/bin")
	os.system("cp -prf i18n/* /usr/share/locale/")
	os.system("cp pixmaps/gnome-sshman.png /usr/share/pixmaps")
	os.system("cp libs/gnome-sshman.desktop /usr/share/applications")

	print "Installation completed. Run gnome-sshman to start."
	sys.exit()


print "\n"
print "Gnome-Sshman installation:"
a="no"
try:
	
	if sys.argv[1] == "-f":
		a="si"
		print "\nInstallation forced...\n"	
		install()
	
		sys.exit()
		
except:
	pass
if a=="no":

	print "Checking pygtk module...."

	try:

		import pygtk
		print "-Ok-"
		pygtk="yes"
	except:
		print "-Pygtk not installed-"
		pygtk="no"

	print "Checking python-glade and python-gnome support..."

	try:

		import gtk.glade
		import gnome
		print "-Ok-"
		glade="yes"
	except:
		print "-Python-glade and/or python-gnome not installed-"
		glade="no"
	
	print "Checking pyhton-vte module...."

	try:
		import vte
		print "-Ok-"
		vte="yes"
	except:
		print "-Python-vte not installed-"
		vte="no"
	
	print "Checking Python Cryptographic Toolkit (py-crypto) support...."

	try:
		import Crypto
		print "-Ok-"
		crypto="yes"
	except:
		print "-Py-crypto not installed-"
		crypto="no"

	print "Checking python-pexpect module...."

	try:
		import pexpect
		print "-Ok-"
		pexpect="yes"
	except:
		print "-Python-pexpect not installed-"
		pexpect="no"
	
	print "\n"
	print "Status:\n"
	if pygtk == "no":
		print """Pygtk support for python is not installed. Install it downloading from	www.pygtk.org or search an appropiate pygtk package for your Linux distribution."""
		print "\n"
		print 'You can force installation running "python setup.py -f"'
		print "\n"
		sys.exit()

	if glade == "no":
		print """Python for Gnome (python-gnome) and/or Glade for Python (python-glade) aren't installed. Install this packages from your favourite linux distribution packages to install gnome-sshman."""
		print "\n"
		print 'You can force installation running "python setup.py -f"'
	        print "\n"

		sys.exit()

	if vte == "no":
		print """Python-vte module is needed in order to use ssh terminal and is not installed in your system. Install appropiated python-vte package for your distribution to install gnome-sshman."""
		print "\n"
		print "You can force installation running python setup.py -f"
	        print "\n"

		sys.exit()
	if crypto == "no": 
		print """Python Cryptographic Toolkit (pycrypto) is not installed in your system. Please, install appropiated pycrypto package for your distribution to install gnome-sshman.""" 
		print "\n"
		print 'You can force installation running "python setup.py -f"'
		print "\n"
		sys.exit()

	if pexpect == "no":
		print """Python-pexpect module is not installed in your system and is necessary to gnome-sshman. Please, install appropiated pexpect package for your distribution to install gnome-sshman."""
		print "\n"
		print 'You can force installation running "python setup.py -f".'
		print "\n"
		sys.exit()

	print "All dependencies ok. Starting installation...."
	install()
else:
	pass


